org.apache.ode.bpel.runtime

## Class ASSIGNMessages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.bpel.runtime.ASSIGNMessages

-     public class ASSIGNMessages
      extends MessageBundle

  Internationalization for messages related to assignment.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASSIGNMessages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `msgEmptyRValue()` The R-Value must select one item.
    `java.lang.String` | `msgEvalException(java.lang.String expr, java.lang.String msg)` An exception occured while evaluating "{0}": {1}
    `java.lang.String` | `msgInternalError(java.lang.String msg)` InternalError: Unexpected selection failure (contact tech support): {0}
    `java.lang.String` | `msgInvalidLValue()` The L-Value must be a text information item (TII), element information item (EII), or attribute information item (AII).
    `java.lang.String` | `msgInvalidRValue()` The R-Value must be a text information item (TII) or element information item (EII).
    `java.lang.String` | `msgLiteralContainsMixedContent()` A literal must not contain mixed content.
    `java.lang.String` | `msgLiteralContainsMultipleEIIs()` A literal must not contain more than one element information item (EII).
    `java.lang.String` | `msgLiteralMustContainTIIorEII()` A literal must contain either a text information item (TII) or a single element information item (EII).
    `java.lang.String` | `msgRValueMultipleNodesSelected(java.lang.String rvalue)` R-Value expression "{0}" returned multiple nodes.
    `java.lang.String` | `msgRValueNoNodesSelected(java.lang.String rvalue)` R-Value expression "{0}" did not select any nodes.

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ASSIGNMessages

          public ASSIGNMessages()

  - ### Method Detail

    - #### msgRValueMultipleNodesSelected

          public java.lang.String msgRValueMultipleNodesSelected(java.lang.String rvalue)

      R-Value expression "{0}" returned multiple nodes.

    - #### msgRValueNoNodesSelected

          public java.lang.String msgRValueNoNodesSelected(java.lang.String rvalue)

      R-Value expression "{0}" did not select any nodes.

    - #### msgLiteralContainsMultipleEIIs

          public java.lang.String msgLiteralContainsMultipleEIIs()

      A literal must not contain more than one element information item (EII).

    - #### msgLiteralContainsMixedContent

          public java.lang.String msgLiteralContainsMixedContent()

      A literal must not contain mixed content.

    - #### msgLiteralMustContainTIIorEII

          public java.lang.String msgLiteralMustContainTIIorEII()

      A literal must contain either a text information item (TII) or a single element information item (EII).

    - #### msgInternalError

          public java.lang.String msgInternalError(java.lang.String msg)

      InternalError: Unexpected selection failure (contact tech support): {0}

    - #### msgEvalException

          public java.lang.String msgEvalException(java.lang.String expr,
                                                   java.lang.String msg)

      An exception occured while evaluating "{0}": {1}

    - #### msgEmptyRValue

          public java.lang.String msgEmptyRValue()

      The R-Value must select one item.

    - #### msgInvalidRValue

          public java.lang.String msgInvalidRValue()

      The R-Value must be a text information item (TII) or element information item (EII).

    - #### msgInvalidLValue

          public java.lang.String msgInvalidLValue()

      The L-Value must be a text information item (TII), element information item (EII), or attribute information item (AII).